import unittest
import retyping as r


class SimpleTest(unittest.TestCase):

    # Test function strToInt
    def test1AFunctionStrToInt(self):
        self.assertTrue(type(r.strToInt("35")) == type(35),"Číslo není ve formátu int")

    def test1BFunctionStrToInt(self):
        self.assertTrue(r.strToInt("35") == 35,"První funkce nevrací hodnotu, která do ní přišla v testu" )

    def test2AFunctionStrToInt(self):
        self.assertTrue(type(r.strToInt("48")) == type(48),"Číslo není ve formátu int")

    def test2BFunctionStrToInt(self):
        self.assertTrue(r.strToInt("48") == 48,"První funkce nevrací hodnotu, která do ní přišla v testu" )

    def test3AFunctionStrToInt(self):
        self.assertTrue(type(r.strToInt("-14")) == type(-14),"Záporné číslo není ve formátu int")

    def test3BFunctionStrToInt(self):
        self.assertTrue(r.strToInt("-14") == -14,"První funkce se nevrací hodnotu, která do funkce přišla v testu, do testu vstupuje záporné číslo")

    # Test function orizniFloatNaInt
    def test1AFunctionFloatToInt(self):
        self.assertTrue(type(r.orizniFloatNaInt(14.5)) == type(14),"Číslo není přetypované do formátu int")

    def test1BFunctionFloatToInt(self):
        oriznuto = r.orizniFloatNaInt(14.5)
        testnumber = 14
        self.assertTrue(oriznuto == testnumber,"Druhá funkce nevrací hodnotu, která do funkce přišla v testu, má vracet 14, vrací "  + str(r.orizniFloatNaInt(14.5)))

    def test2AFunctionFloatToInt(self):
        self.assertTrue(type(r.orizniFloatNaInt(-22.222186258551815174155)) == type(-22),"Číslo není přetypované do formátu int")

    def test2BFunctionFloatToInt(self):
        self.assertTrue((r.orizniFloatNaInt(-22.222186258551815174155) == -22),"Druhá funkce nevrací hodnotu, která do funkce přišla v testu, má vracet 14, vrací "  + str(r.orizniFloatNaInt(14.5)))

    # Test function vratIntegerAStringJakoString
    def test1FunctionCollectIntAStr(self):
        self.assertTrue(r.vratIntegerAStringJakoString(25,"25") == "2525", "Třetí funkce nevrací string!")

    def test2FunctionCollectIntAStr(self):
        self.assertTrue(r.vratIntegerAStringJakoString(32000, "253") == "32000253", "Třetí funkce nevrací string!")

    def test3FunctionCollectIntAStr(self):
        self.assertTrue(r.vratIntegerAStringJakoString(179822, "45679562rfdx") == "17982245679562rfdx", "Třetí funkce nevrací string!")

    def test4FunctionCollectIntAStr(self):
        self.assertTrue(r.vratIntegerAStringJakoString(2500, "AHOJ15") == "2500AHOJ15", "Třetí funkce nevrací string!")



if __name__ == '__main__':
    unittest.main()